list_interviews
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/applications/{application_id}/interview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/applications/{application_id}/interview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/applications/{application_id}/interview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"pending": {
"id": "b1c2d3e4-f5a6-7890-1234-56789abcdef0",
"status": "pending",
"host_user_id": "user_2abc",
"host_email": "alex@acme.com",
"starts_at": null,
"ends_at": null,
"meet_url": null,
"booking_url": "https://apply.hotfix.jobs/book/example",
"stage": "Interview"
},
"booked": null,
"scheduled": [],
"past": [],
"hosts": [
{
"user_id": "user_2abc",
"email": "alex@acme.com"
}
]
}Interviews
list_interviews
Pending link, upcoming interviews, and past interviews on one application. Includes hosts who can be booked. MCP tool: list_interviews.
GET
/
v1
/
employer
/
applications
/
{application_id}
/
interview
list_interviews
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/applications/{application_id}/interview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/applications/{application_id}/interview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/applications/{application_id}/interview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"pending": {
"id": "b1c2d3e4-f5a6-7890-1234-56789abcdef0",
"status": "pending",
"host_user_id": "user_2abc",
"host_email": "alex@acme.com",
"starts_at": null,
"ends_at": null,
"meet_url": null,
"booking_url": "https://apply.hotfix.jobs/book/example",
"stage": "Interview"
},
"booked": null,
"scheduled": [],
"past": [],
"hosts": [
{
"user_id": "user_2abc",
"email": "alex@acme.com"
}
]
}